\version "2.18.2"
				%Paper options
\paper {
  #(set-paper-size "letter" 'portrait)
}
\include "../../Boilerplate/typesetting_functions.ly"
\include "../../Boilerplate/tree.ly"
#(set-global-staff-size 18)

\include "chant4.ly"
\include "Tone4_C.ly"
\include "Tone4_A.ly"
\include "Tone4_T.ly"
\include "Tone4_B.ly"

fourPart =
#(define-music-function
     (parser location movement)
     (string?)
   #{
  \Quartet #movement "/superius" "/altus" "/tenor" "/bassus"
#}
) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Actual staff system starts here
\bookpart {
  \header {
    title = "Magnificat"
    composer = "Nicolas Gombert (c. 1495 - c. 1560)"
    subtitle = "Quarti Toni"
    tagline = "" %stop automatic tag at end
  }
%%%				%Subsections of the piece
  \score {
    \keepWithTag #'ori
    \transpose c c \chantMovt "magnificat/toneIV/magnificat"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Et Exultavit"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneIV/etEx"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c \chantMovt "magnificat/toneIV/quiaRespexit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Quia Fecit"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneIV/quFe"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c \chantMovt "magnificat/toneIV/etMisericordia"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Fecit potentiam"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneIV/fePo"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c \chantMovt "magnificat/toneIV/deposuit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Esurientes"}
    \keepWithTag #'mod
    \Trio "gombert/magnificat/toneIV/esur" "/superius" "/altus" "/tenor"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c \chantMovt "magnificat/toneIV/suscepit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Sicut Locutus"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneIV/siLo"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c \chantMovt "magnificat/toneIV/gloriaPatri"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Sicut erat"}
    \keepWithTag #'mod
    \Sextet "gombert/magnificat/toneIV/siEr" "/superius" "/altusII"
    "/altus" "/tenor" "/bassusII" "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
}
